// 仓储设施年报
<template>
<div class="content-main">
    <iframe width="100%" :height="wrapHeight" :src="iHost"></iframe>
</div>
</template>
<script>
export default {
    data(){
        return{
          iHost:''
        }
    },
    computed: {
      wrapHeight(){
        let windowHeight = document.documentElement.clientHeight
        let  wrapHeight = windowHeight - 265
        return wrapHeight
      }
    },
    methods:{

    },
    created(){
      let url = location.host;
      console.log(url ,'url ');
      //this.iHost = `http://${url}/irpt/oemlogin.do?id=${sessionStorage.getItem('userLoginName')}&pw={${sessionStorage.getItem('userPassword')}}&target=task&task={3F3AFBD2-9153-4269-94A4-904B3F81E8AA}&bbhid=150000`
      console.log(this.iHost,'this.iHost');
       this.iHost = `http://${url}/BI/showreport.do?resid=EBI$12$MUOYZ62UV5OCDV9UN6BTUABAC4UN30OX$1$UCT17YIL8M8YK85CMCRI70CMSLC4F3JK.rpttpl&id=${sessionStorage.getItem('userLoginName')}&pw=%7B${sessionStorage.getItem('userPassword')}%7D&calcnow=true&showparams=true`
  
    }
}
</script>